/*  XMMS - Crnbs-platform multimedia player
 *  Copyright (C) 1998-2000  Peter Alm, Mikael Alm, Olle Hallnas, Thomas Nilsson and 4Front Technologies
 *
 *  Modified by Mark Spencer <markster@digium.com> to support NBS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#include "xmmsnbs.h"
#include "xmms/i18n.h"

OutputPlugin nbs_op =
{
	NULL,
	NULL,
	NULL, /* Description */
	NULL, /* nbs_init, */
	nbs_about,
	NULL, /* nbs_configure, */
	NULL, /* nbs_get_volume, */
	NULL, /* nbs_set_volume, */
	nbs_open,
	nbs_xwrite,
	nbs_close,
	nbs_flush,
	nbs_pause,
	nbs_free,
	nbs_playing,
	nbs_get_output_time,
	nbs_get_written_time,
};

OutputPlugin *get_oplugin_info(void)
{
	nbs_op.description = g_strdup_printf(_("NBS Driver %s"), VERSION);
	return &nbs_op;
}
